<xsl:stylesheet xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dp="http://www.datapower.com/extensions" xmlns:func="http://exslt.org/functions" xmlns:str="http://exslt.org/strings" extension-element-prefixes="dp func" exclude-result-prefixes="dp soapenv str func" version="1.0">
        <xsl:import href="SOMAFns.xsl"/>
        <xsl:template match="/">
        <xsl:variable name="domainName" select="dp:variable('var://service/multistep/loop-iterator')"/>
        <xsl:variable name="domainstatus" select="func:DomainStatus($domainName)"/>
        <xsl:choose>
                <xsl:when test="$domainstatus//*[local-name() = 'DebugState'] = 'true'">
                        <xsl:variable name="serviceList" select="document(concat('temporary:///',$domainName,'_list.xml'))"/>
                        <xsl:for-each select="$serviceList//MPGW">
                                <xsl:variable name="mpgwProbeResp" select="func:changeProbeStatus($domainName,'MultiProtocolGateway', ./@serviceName,'off')"/>
                        </xsl:for-each>
                        <xsl:for-each select="$serviceList//WSP">
                                <xsl:variable name="wspProbeResp" select="func:changeProbeStatus($domainName,'WSGateway', ./@serviceName,'off')"/>
                        </xsl:for-each>
                        <xsl:for-each select="$serviceList//XMLFW">
                                <xsl:variable name="xmlfwProbeResp" select="func:changeProbeStatus($domainName,'XMLFirewallService', ./@serviceName,'off')"/>
                        </xsl:for-each>
                </xsl:when>
                <xsl:otherwise>
				<xsl:message dp:priority="information">Skipping disable probes for <xsl:value-of select="$domainName"/></xsl:message>
				</xsl:otherwise>
        </xsl:choose>
        </xsl:template>
</xsl:stylesheet>

