<xsl:stylesheet xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dp="http://www.datapower.com/extensions" xmlns:func="http://exslt.org/functions" xmlns:str="http://exslt.org/strings" extension-element-prefixes="dp func" exclude-result-prefixes="dp soapenv str func" version="1.0">
        <xsl:import href="SOMAFns.xsl"/>
        <xsl:template match="/">
                <xsl:variable name="domains" select="document('temporary:///domain_list.xml')"/>
                <xsl:variable name="selectedDomain" select="//arg[@name = 'selectedDomain']"/>
                <xsl:variable name="selectedMPGW" select="//arg[@name = 'mpgw']"/>
                <xsl:variable name="selectedWSP" select="//arg[@name = 'wsp']"/>
                <xsl:variable name="selectedXMLFW" select="//arg[@name = 'xmlfw']"/>
                <xsl:variable name="selectedAction">
                        <xsl:choose>
                                <xsl:when test="//arg[@name = 'action']">
                                        <xsl:value-of select="//arg[@name = 'action']"/>
                                </xsl:when>
                                <xsl:otherwise>
                                        <xsl:value-of select="'showDomains'"/>
                                </xsl:otherwise>
                        </xsl:choose>
                </xsl:variable>
                <html>
                        <head>
                        </head>
                        <body>
                        <xsl:choose>
                                <xsl:when test="$selectedAction = 'showDomains'">
                                        <form action="enableprobe" method="post">
                                                <input  type="hidden" name="action" value="showServiceList"></input>
                                                <table style="width:45%" align="center" border="1">
                                                <th colspan="2" align="center">Device: <xsl:value-of select="dp:variable('var://service/system/ident')//device-name"/></th>
                                                        <tr bgcolor="#A9E2F3">
                                                                <td>Domain: </td>
                                                                <td><center>
                                                                        <select name="selectedDomain">
                                                                                <xsl:for-each select="$domains//*[local-name() = 'Domain']">
                                                                                        <option value="{.}">
                                                                                                <xsl:value-of select="."/>
                                                                                        </option>
                                                                                </xsl:for-each>
                                                                        </select></center>
                                                                </td>
                                                        </tr>
                                                        <tr bgcolor="#A9E2F3">
                                                                <td colspan="2" align="center">
                                                                        <input name="butaction" value="Submit" type="submit"/>
                                                                </td>
                                                        </tr>
                                                </table>
                                        </form>
                                </xsl:when>
                                <xsl:when test="$selectedAction = 'showServiceList'">
                                        <xsl:variable name="serviceList" select="document(concat('temporary:///',$selectedDomain,'_list.xml'))"/>
                                        <form action="enableprobe" method="post">
                                                <input  type="hidden" name="action" value="doProbeEnableAction"></input>
                                                <input  type="hidden" name="selectedDomain" value="{$selectedDomain}"></input>
                                                <table style="width:45%" align="center" border="1">
                                                        <tr bgcolor="#A9E2F3">
                                                                <td>Domain: </td>
                                                                <td>
                                                                        <xsl:value-of select="$selectedDomain"/>
                                                                </td>
                                                        </tr>
                                                        <tr bgcolor="#A9E2F3">
                                                                <td>
                                                                        Select MPG Service: 
                                                                </td>
                                                                <td>
                                                                        <select name="mpgw">
                                                                                <option value="">Select...</option>
                                                                                <xsl:for-each select="$serviceList//MPGW">
                                                                                                <option value="{./@serviceName}"><xsl:value-of select="./@serviceName"/></option>
                                                                                </xsl:for-each>
                                                                        </select> <input type="checkbox" name="mpgw_unbounded"/> Enable unbounded
                                                                </td>
                                                        </tr>
                                                        <tr  bgcolor="#A9E2F3"> 
                                                                <td>
                                                                        Select WSP Service: 
                                                                </td>
                                                                <td>
                                                                        <select name="wsp">
                                                                                <option value="">Select...</option>
                                                                                <xsl:for-each select="$serviceList//WSP">
                                                                                                <option value="{./@serviceName}"><xsl:value-of select="./@serviceName"/></option>
                                                                                </xsl:for-each>
                                                                        </select><input type="checkbox" name="wsp_unbounded"/> Enable unbounded
                                                                </td>
                                                        </tr>
                                                        <tr bgcolor="#A9E2F3">
                                                                <td>
                                                                        Select XMLFW Service: 
                                                                </td>
                                                                <td>
                                                                        <select name="xmlfw">
                                                                                <option value="">Select...</option>
                                                                                <xsl:for-each select="$serviceList//XMLFW">
                                                                                                <option value="{./@serviceName}"><xsl:value-of select="./@serviceName"/></option>
                                                                                </xsl:for-each>
                                                                        </select><input type="checkbox" name="xmlfw_unbounded"/> Enable unbounded
                                                                </td>
                                                        </tr>
                                                        <tr  bgcolor="#A9E2F3">
                                                                <td colspan="2" align="center">
                                                                        <input name="butaction" value="Submit" type="submit"/>
                                                                </td>
                                                        </tr>
                                                </table>
                                        </form>
                                </xsl:when>
                                <xsl:when test="$selectedAction = 'doProbeEnableAction'">
                                        <Result>
                                        <xsl:if test="string-length($selectedMPGW) > 1">
                                                <xsl:choose>
                                                        <xsl:when test="//arg[@name = 'mpgw_unbounded'] = 'on'">
                                                                <xsl:variable name="mpgProbeResp" select="func:changeProbeStatus($selectedDomain,'MultiProtocolGateway', $selectedMPGW,'unbounded')"/>
                                                                MPGW: <xsl:value-of select="$selectedMPGW"/>:  <xsl:copy-of select="$mpgProbeResp"/>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                                <xsl:variable name="mpgProbeResp" select="func:changeProbeStatus($selectedDomain,'MultiProtocolGateway', $selectedMPGW,'on')"/>
                                                                MPGW: <xsl:value-of select="$selectedMPGW"/>: <xsl:copy-of select="$mpgProbeResp"/>
                                                        </xsl:otherwise>
                                                </xsl:choose>
                                                <br/>
                                        </xsl:if>
                                        <xsl:if test="string-length($selectedWSP) > 1">
                                                <xsl:choose>
                                                        <xsl:when test="//arg[@name = 'wsp_unbounded'] = 'on'">
                                                                <xsl:variable name="wspProbeResp" select="func:changeProbeStatus($selectedDomain,'WSGateway', $selectedWSP,'unbounded')"/>
                                                                WSP: <xsl:value-of select="$selectedWSP"/>: <xsl:copy-of select="$wspProbeResp"/>                                                      
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                                <xsl:variable name="wspProbeResp" select="func:changeProbeStatus($selectedDomain,'WSGateway', $selectedWSP,'on')"/>
                                                                WSP: <xsl:value-of select="$selectedWSP"/>: <xsl:copy-of select="$wspProbeResp"/>
                                                        </xsl:otherwise>
                                                </xsl:choose>
                                                <br/>
                                        </xsl:if>
                                        <xsl:if test="string-length($selectedXMLFW) > 1">
                                                <xsl:choose>
                                                        <xsl:when test="//arg[@name = 'xmlfw_unbounded'] = 'on'">                                                 
                                                                <xsl:variable name="xmlfwProbeResp" select="func:changeProbeStatus($selectedDomain,'XMLFirewallService', $selectedXMLFW,'unbounded')"/>
                                                                XMLFW: <xsl:value-of select="$selectedXMLFW"/>: <xsl:copy-of select="$xmlfwProbeResp"/>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                                <xsl:variable name="xmlfwProbeResp" select="func:changeProbeStatus($selectedDomain,'XMLFirewallService', $selectedXMLFW,'on')"/>
                                                                XMLFW: <xsl:value-of select="$selectedXMLFW"/>: <xsl:copy-of select="$xmlfwProbeResp"/>
                                                        </xsl:otherwise>
                                                </xsl:choose>
                                                <br/>
                                        </xsl:if>
                                </Result>
                                </xsl:when>
                        </xsl:choose>
                        </body>
                </html>
        </xsl:template>
</xsl:stylesheet>

