<xsl:stylesheet xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dp="http://www.datapower.com/extensions" xmlns:func="http://exslt.org/functions" xmlns:str="http://exslt.org/strings" extension-element-prefixes="dp func" exclude-result-prefixes="dp soapenv str func" version="1.0">
        <xsl:import href="SOMAFns.xsl"/>
        <xsl:template match="/">
		<xsl:for-each select="//*[local-name() = 'Domain']">
                <xsl:variable name="domainName" select="."/>
                <xsl:variable name="serviceList">
                        <Domain name="{$domainName}">
                                <xsl:variable name="listOfServices" select="func:getListOfServices($domainName)"/>
                                <xsl:for-each select="$listOfServices//*[@class-name = 'MultiProtocolGateway']">
                                        <MPGW serviceName="{./@name}"/>
                                </xsl:for-each>
                                <xsl:for-each select="$listOfServices//*[@class-name = 'WSGateway']">
                                        <WSP serviceName="{./@name}"/>
                                </xsl:for-each>
                                <xsl:for-each select="$listOfServices//*[@class-name = 'XMLFirewallService']">
                                        <XMLFW serviceName="{./@name}"/>
                                </xsl:for-each>
                        </Domain>
                </xsl:variable>
                <xsl:message dp:priority="information">Done for <xsl:value-of select="$domainName"/></xsl:message>
                <dp:dump-nodes file="concat($domainName,'_list.xml')" nodes="$serviceList" emit-xml-decl="true"/>
				</xsl:for-each>
        </xsl:template>
</xsl:stylesheet>
