<xsl:stylesheet extension-element-prefixes="dp func" exclude-result-prefixes="dp dpe dpm env str func" version="1.0" xmlns:am="http://www.datapower.com/schemas/appliance/management/3.0" xmlns:dpe="http://www.datapower.com/extensions" xmlns:dpm="http://www.datapower.com/schemas/management" xmlns:str="http://exslt.org/strings" xmlns:func="http://exslt.org/functions" xmlns:dp="http://www.datapower.com/extensions" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:env="http://schemas.xmlsoap.org/soap/envelope/">
        <func:function name="func:buildHttpHeader">
                <xsl:variable name="httpHeaders">
                        <header name="Content-Type">application/soap+xml</header>
                </xsl:variable>
                <func:result>
                        <xsl:copy-of select="$httpHeaders"/>
                </func:result>
        </func:function>
        <func:function name="func:callSoma">
                <xsl:param name="payload"/>
                <xsl:variable name="somaConfigs" select="document('SomaExecutionDetails.xml')"/>
                <xsl:variable name="httpHeaders" select="func:buildHttpHeader()"/>
                <xsl:variable name="url" select="$somaConfigs//interface[@type = 'soma']/@url"/>
                <xsl:variable name="ssl_pp" select="$somaConfigs//interface[@type = 'soma']/@ssl_pp"/>
                <xsl:variable name="res" select="dp:soap-call($url,$payload,$ssl_pp,0,'',$httpHeaders/*)"/>
                <xsl:message>
                        <xsl:copy-of select="$payload"/>, 
                       <xsl:copy-of select="$res"/></xsl:message>
                <func:result>
                        <xsl:copy-of select="$res"/>
                </func:result>
        </func:function>
        <func:function name="func:callAmp">
                <xsl:param name="payload"/>
                <xsl:variable name="somaConfigs" select="document('SomaExecutionDetails.xml')"/>
                <xsl:variable name="httpHeaders" select="func:buildHttpHeader()"/>
                <xsl:message>
                        Payload
                        <xsl:copy-of select="$payload"/>,
                        ampConfigs
                        <xsl:copy-of select="$ampConfigs"/>
                </xsl:message>
                <xsl:variable name="url" select="$somaConfigs//interface[@type = 'amp']/@url"/>
                <xsl:variable name="ssl_pp" select="$somaConfigs//interface[@type = 'amp']/@ssl_pp"/>

                <xsl:variable name="res" select="dp:soap-call($url,$payload,$ssl_pp,0,'',$httpHeaders/*)"/>
                <xsl:message>
                        Resp:
                        <xsl:copy-of select="$res"/>
                </xsl:message>
                <func:result>
                        <xsl:copy-of select="$res"/>
                </func:result>
        </func:function>
        <func:function name="func:getListOfServices">
                <xsl:param name="domain"/>
                <xsl:variable name="payload">
                        <env:Envelope>
                                <env:Body>
                                        <am:GetServiceListFromDomainRequest>
                                                <am:Domain>
                                                        <xsl:value-of select="$domain"/>
                                                </am:Domain>
                                        </am:GetServiceListFromDomainRequest>
                                </env:Body>
                        </env:Envelope>
                </xsl:variable>
                <func:result>
                        <xsl:copy-of select="func:callAmp($payload)"/>
                </func:result>
        </func:function>
        <func:function name="func:changeProbeStatus">
                <xsl:param name="domain"/>
                <xsl:param name="objectClass"/>
                <xsl:param name="objectName"/>
                <xsl:param name="requestedProbeState"/>
                <xsl:variable name="payload">
                        <env:Envelope>
                                <env:Body>
                                        <dpm:request domain="{$domain}">
                                                <dpm:modify-config>
                                                        <xsl:element name="{$objectClass}">
                                                                <xsl:attribute name="name"><xsl:value-of select="$objectName"/></xsl:attribute>
                                                                <DebugMode persisted="false">
                                                                        <xsl:value-of select="$requestedProbeState"/>
                                                                </DebugMode>
                                                        </xsl:element>
                                                </dpm:modify-config>
                                        </dpm:request>
                                </env:Body>
                        </env:Envelope>
                </xsl:variable>
                <func:result>
                        <xsl:copy-of select="func:callSoma($payload)"/>
                </func:result>
        </func:function>  
        <func:function name="func:ListDomains">
                <xsl:variable name="payload">
                        <env:Envelope>
                           <env:Header/>
                           <env:Body>
                                <am:GetDomainListRequest/>
                           </env:Body>
                        </env:Envelope>
                        </xsl:variable>
                <func:result>
                        <xsl:copy-of select="func:callAmp($payload)"/>
                </func:result>
        </func:function>
        <func:function name="func:DomainStatus">
                <xsl:param name="domain"/>
                <xsl:variable name="payload">
                        <env:Envelope>
                                <env:Body>
                                        <am:GetDomainStatusRequest>
                                                <am:Domain>
                                                        <xsl:value-of select="$domain"/>
                                                </am:Domain>
                                        </am:GetDomainStatusRequest>
                                </env:Body>
                        </env:Envelope>
                </xsl:variable>
                <func:result>
                        <xsl:copy-of select="func:callAmp($payload)"/>
                </func:result>
        </func:function>
</xsl:stylesheet>
